%define section	free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jorm
#  cvs login
#  cvs export -r RDB_ADAPTER_2_6 adapter
#  find adapter -name '*.?ar' | xargs rm

Name:		jorm-rdb-adapter
Summary:	Database adaptor package for JORM
Version:	2.6
Release:	1jpp
Epoch:		0
URL:		http://jorm.objectweb.org/
License:	LGPL
Vendor:         JPackage Project
Distribution:   JPackage
Group:		Development/Libraries/Java
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	junit
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

%description
JORM (Java Object Repository Mapping) is an adaptable persistence
service that provides object persistency through files, relational
databases or object-oriented databases.  This package provides
relational database support to JORM.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n adapter
build-jar-repository externals -s -p junit

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc
rm -f output/lib/ow_jorm_rdb_adapter_test.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jorm
for jar in output/lib/*.jar; do
    base=`basename $jar .jar`
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/jorm/$base-%{version}.jar
    ln -s $base-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jorm/$base.jar
done

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/jdoc/rdb_adapter \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/jorm

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:2.6-1jpp
- Initial build.
